<template>
  <div class="content__block">
    <router-link to="/new">+ Новая заметка</router-link>
    <note-preview
      v-for="note in NOTES"
      :key="note.id"
      :text="note.text"
      :checkboxes="note.checkboxes"
      :id="note.id"
    />
  </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
import NotePreview from '@/components/NotePreview.vue'

export default {
  components: {
    NotePreview,
  },
  computed: {
    ...mapGetters(['NOTES'])
  },
  methods: {
    ...mapActions(['CREATE_NOTE']),
  },
}
</script>

<style>
.content__block {
  background-color: #fff;
  width: 500px;
  padding: 16px;
  margin: 16px 0;
  border-radius: 6px;
  box-shadow: 0 1px 3px 0 rgba(60,64,67,0.302);
}
</style>
